Package com.independentsoft.office.charts

# Class Trendline

java.lang.Object
com.independentsoft.office.charts.Trendline

public class Trendline extends Object
The Class Trendline.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Trendline()`
  Instantiates a new trendline.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Trendline`
  `clone()`
  `double`
  `getBackward()`
  Gets the backward.
  `ChartShapeProperties`
  `getChartShapeProperties()`
  Gets the chart shape properties.
  `ExtensionList`
  `getExtensionList()`
  Gets the extension list (`c:extLst`).
  `double`
  `getForward()`
  Gets the forward.
  `double`
  `getIntercept()`
  Gets the intercept.
  `TrendlineLabel`
  `getLabel()`
  Gets the label.
  `String`
  `getName()`
  Gets the name.
  `int`
  `getOrder()`
  Gets the order.
  `int`
  `getPeriod()`
  Gets the period.
  `TrendlineType`
  `getType()`
  Gets the type.
  `boolean`
  `isDisplayEquation()`
  Checks if is display equation.
  `boolean`
  `isDisplayRSquaredValue()`
  Checks if is display r squared value.
  `void`
  `setBackward​(double backward)`
  Sets the backward.
  `void`
  `setDisplayEquation​(boolean displayEquation)`
  Sets the display equation.
  `void`
  `setDisplayRSquaredValue​(boolean displayRSquaredValue)`
  Sets the display r squared value.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the extension list (`c:extLst`).
  `void`
  `setForward​(double forward)`
  Sets the forward.
  `void`
  `setIntercept​(double intercept)`
  Sets the intercept.
  `void`
  `setLabel​(TrendlineLabel label)`
  Sets the label.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setOrder​(int order)`
  Sets the order.
  `void`
  `setPeriod​(int period)`
  Sets the period.
  `void`
  `setType​(TrendlineType type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Trendline

    public Trendline()
    Instantiates a new trendline.

- ## Method Details

  - ### clone

    public Trendline clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the extension list (`c:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the extension list (`c:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getBackward

    public double getBackward()
    Gets the backward.
    Returns:
      the backward

  - ### setBackward

    public void setBackward​(double backward)
    Sets the backward.
    Parameters:
      `backward` - the new backward

  - ### isDisplayEquation

    public boolean isDisplayEquation()
    Checks if is display equation.
    Returns:
      true, if is display equation

  - ### setDisplayEquation

    public void setDisplayEquation​(boolean displayEquation)
    Sets the display equation.
    Parameters:
      `displayEquation` - the new display equation

  - ### isDisplayRSquaredValue

    public boolean isDisplayRSquaredValue()
    Checks if is display r squared value.
    Returns:
      true, if is display r squared value

  - ### setDisplayRSquaredValue

    public void setDisplayRSquaredValue​(boolean displayRSquaredValue)
    Sets the display r squared value.
    Parameters:
      `displayRSquaredValue` - the new display r squared value

  - ### getForward

    public double getForward()
    Gets the forward.
    Returns:
      the forward

  - ### setForward

    public void setForward​(double forward)
    Sets the forward.
    Parameters:
      `forward` - the new forward

  - ### getIntercept

    public double getIntercept()
    Gets the intercept.
    Returns:
      the intercept

  - ### setIntercept

    public void setIntercept​(double intercept)
    Sets the intercept.
    Parameters:
      `intercept` - the new intercept

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getOrder

    public int getOrder()
    Gets the order.
    Returns:
      the order

  - ### setOrder

    public void setOrder​(int order)
    Sets the order.
    Parameters:
      `order` - the new order

  - ### getPeriod

    public int getPeriod()
    Gets the period.
    Returns:
      the period

  - ### setPeriod

    public void setPeriod​(int period)
    Sets the period.
    Parameters:
      `period` - the new period

  - ### getChartShapeProperties

    public ChartShapeProperties getChartShapeProperties()
    Gets the chart shape properties.
    Returns:
      the chart shape properties

  - ### getLabel

    public TrendlineLabel getLabel()
    Gets the label.
    Returns:
      the label

  - ### setLabel

    public void setLabel​(TrendlineLabel label)
    Sets the label.
    Parameters:
      `label` - the new label

  - ### getType

    public TrendlineType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(TrendlineType type)
    Sets the type.
    Parameters:
      `type` - the new type